/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("com.ibm.rational.report.web.core.app.internal.common.ErrorDialog");

dojo.require("com.ibm.rational.report.web.core.app.internal.common.MessageDialog");
dojo.requireLocalization("com.ibm.rational.report.web.core.app.internal.common", "Messages");

var CommonMessages	= dojo.i18n.getLocalization("com.ibm.rational.report.web.core.app.internal.common", "Messages");

/**
 * Displays an error dialog.
 */
com.ibm.rational.report.web.core.app.internal.common.ErrorDialog = function() {
	
	this.displayError = function(errorMsg) {
		var errorDialog = new com.ibm.rational.report.web.core.app.internal.common.MessageDialog(
			{title: CommonMessages.ERROR, prompt: errorMsg, promptType: "Error", buttonType: "Ok"});
		dojo.connect(errorDialog.rightButton, "onclick", errorDialog.dialog,
			function (e) {
				dojo.stopEvent(e);
				errorDialog.close();
			}
		);
	};	
	
};

})();
